<div class="bg__signup">
    <form class="signup" *ngIf="!_ok">
        <h1>Whats <span>Up</span></h1>
        <h2>Inscription</h2>
        <div class="signup__form">
            <label for="nom">Nom</label>
            <input type="text" name="nom" placeholder="ex: Dupont (Facultatif)" [(ngModel)]="_nom">

            <label for="prenom">Prénom</label>
            <input type="text" name="prenom" placeholder="ex: Christian (Facultatif)" [(ngModel)]="_prenom">

            <label for="email">Email</label>
            <input type="email" name="email" placeholder="ex: user108@gmail.com" [(ngModel)]="_email">
            
            <div>
                <label for="username">Nom d'utilisateur</label>
                <span>(Visible par les autres utilisateurs)</span>
            </div>
            <input type="text" name="username" placeholder="ex: user108480" [(ngModel)]="_username">

            <label for="password">Mot de passe</label>
            <input type="password" name="password" placeholder="••••••••••" [(ngModel)]="_password">

            <label for="password_confirm">Confirmer le Mot de passe</label>
            <input type="password" name="password_confirm" placeholder="••••••••••" [(ngModel)]="_password_confirm">
        </div>
        <div>
            <span [routerLink]="['/login']">Se connecter</span>
            <button type="submit" (click)="signup()">S'inscrire<span *ngIf="authService._loader" class="loader btn-loader"></span></button>
        </div>
    </form>
    <div class="signup_ok" *ngIf="_ok">
        <p>
            Votre compte à bien été créé. Vous pouvez vous <span [routerLink]="['/login']">Connecter</span>
        </p>
    </div>
</div>